Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class AtmelInternalDevice

    java.lang.Object
      avrora.sim.mcu.AtmelInternalDevice

Direct Known Subclasses:
  ADC, EEPROM, SPI, Timer16Bit, Timer8Bit, USART

public abstract class AtmelInternalDevice
extends java.lang.Object

The `InteralDevice` class represents an internal device on a microcontroller.

Field Summary
`protected Simulator.Printer` | `devicePrinter`
`protected BaseInterpreter` | `interpreter`
`protected Clock` | `mainClock`
`protected AtmelMicrocontroller` | `microcontroller`
`java.lang.String` | `name`
`protected Simulator` | `simulator`

Constructor Summary
`AtmelInternalDevice(java.lang.String n, AtmelMicrocontroller m)`

Method Summary
`Clock` | `getClock()`
`java.util.Iterator` | `getIORegs()`
`protected void` | `installIOReg(java.lang.String name, ActiveRegister reg)`
`protected static int` | `read16(RWRegister high, RWRegister low)` Helper function to get a 16 bit value from a pair of registers.
`protected static void` | `write16(int val, RWRegister high, RWRegister low)` Helper function to write a 16-bit value to a pair of registers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final java.lang.String name

### microcontroller

    protected final AtmelMicrocontroller microcontroller

### simulator

    protected final Simulator simulator

### interpreter

    protected final BaseInterpreter interpreter

### devicePrinter

    protected final Simulator.Printer devicePrinter

### mainClock

    protected final Clock mainClock

Constructor Detail

### AtmelInternalDevice

    public AtmelInternalDevice(java.lang.String n,
                               AtmelMicrocontroller m)

Method Detail

### getIORegs

    public java.util.Iterator getIORegs()

### installIOReg

    protected void installIOReg(java.lang.String name,
                                ActiveRegister reg)

### read16

    protected static int read16(RWRegister high,
                                RWRegister low)

  Helper function to get a 16 bit value from a pair of registers.

### write16

    protected static void write16(int val,
                                  RWRegister high,
                                  RWRegister low)

  Helper function to write a 16-bit value to a pair of registers.

### getClock

    public Clock getClock()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD